Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dstc.security.kerberos.creds
Interface Credential

public interface Credential

An interface to a Kerberos credential.

A Kerberos credential contains a {Ticket, session key} pair together with additional information. This includes the TicketFlags and validity times for the Ticket, identities (PrincipalName and realm) for the "owner" and the "target" service, and addresses from which it is valid. It may also include any authorization data associated with the Ticket.

See Also:
  `Ticket`, `EncryptionKey`, `Kerberos`, `PrincipalName`, `TicketFlags`

Method Summary
`byte[]` | `getAuthData()` Returns the authentication data
`Date` | `getAuthTime()` Returns the authentication time
`InetAddress[]` | `getClientAddresses()` Returns the client addresses
`PrincipalName` | `getClientName()` Returns the client name
`String` | `getClientRealm()` Returns the client realm
`Date` | `getEndTime()` Returns the end time
`Date` | `getRenewTill()` Returns the renew-till time
`PrincipalName` | `getServerName()` Returns the server name
`String` | `getServerRealm()` Returns the server realm
`EncryptionKey` | `getSessionKey()` Returns the session key
`byte` | `getSKey()` Returns the skey
`Date` | `getStartTime()` Returns the start time
`Ticket` | `getTicket()` Returns the Ticket for this Credential
`TicketFlags` | `getTicketFlags()` Returns the ticket flags
`boolean` | `isValid()` Returns true if this Credential is valid at the time this method call is made.

Method Detail

### getTicket

    public Ticket getTicket()

  Returns the Ticket for this Credential

### getSKey

    public byte getSKey()

  Returns the skey

### getAuthData

    public byte[] getAuthData()

  Returns the authentication data

### getSessionKey

    public EncryptionKey getSessionKey()

  Returns the session key

### getClientRealm

    public String getClientRealm()

  Returns the client realm

### getClientName

    public PrincipalName getClientName()

  Returns the client name

### getTicketFlags

    public TicketFlags getTicketFlags()

  Returns the ticket flags

### getAuthTime

    public Date getAuthTime()

  Returns the authentication time

### getStartTime

    public Date getStartTime()

  Returns the start time

### getEndTime

    public Date getEndTime()

  Returns the end time

### getRenewTill

    public Date getRenewTill()

  Returns the renew-till time

### getServerRealm

    public String getServerRealm()

  Returns the server realm

### getServerName

    public PrincipalName getServerName()

  Returns the server name

### getClientAddresses

    public InetAddress[] getClientAddresses()

  Returns the client addresses

### isValid

    public boolean isValid()

  Returns true if this Credential is valid at the time this method call is made.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD